Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Alan Third <[email-masked]>
Date: Tue, 22 May 2018 20:33:53 +0100

On Tue, May 22, 2018 at 05:51:51AM -0700, Aaron Jensen wrote:
> 
> It turns out the finger pointer shows up when my mouse is over the modeline
> of the parent frame. With emacs -Q the child frame happens to overlap it.
> If I move it away, I can't see the pointer anymore.

Confirmed. I get the tooltip for whatever is under the mouse in the
parent frame, even though the child frame is obscuring it

I think it’s because the parent is the selected frame.

Here’s some fun for you to try:

    (set-frame-parameter nil 'z-group 'below)

put another application’s window partially over the Emacs frame, make
sure the Emacs frame is selected, then mouse‐over where the modeline
should be. The pointer changes and tooltips are displayed as though
the other application window isn’t there.

I guess we need to work out whether the frame is obscured and if so
don’t change the mouse pointer or create tooltips?
-- 
Alan Third